# MPI_T_cvar_write

Write a control variable

## Synopsis

    int MPI_T_cvar_write(MPI_T_cvar_handle handle, const void *buf)

## Input Parameters

handle
  handle of the control variable to be written (handle)
buf
  initial address of storage location for variable value (choice)

## Thread and Interrupt Safety

This routine is thread-safe. This means that this routine may be safely used by multiple threads without the need for any user-provided thread locks. However, the routine is not interrupt safe. Typically, this is due to the use of memory allocation routines such as `malloc` or other non-MPICH runtime routines that are themselves not interrupt-safe.

## Errors

All MPI routines (except `MPI_Wtime` and `MPI_Wtick`) return an error value; C routines as the value of the function and Fortran routines in the last argument. Before the value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job. The error handler may be changed with `MPI_Comm_set_errhandler` (for communicators), `MPI_File_set_errhandler` (for files), and `MPI_Win_set_errhandler` (for RMA windows). The MPI-1 routine `MPI_Errhandler_set` may be used but its use is deprecated. The predefined error handler `MPI_ERRORS_RETURN` may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error; however, MPI implementations will attempt to continue whenever possible.

MPI_SUCCESS
  No error; MPI routine completed successfully.

MPI_T_ERR_NOT_INITIALIZED
  The MPI tool information interface is not initialized.

MPI_T_ERR_INVALID_HANDLE
  The handle is invalid.

MPI_T_ERR_CVAR_SET_NOT_NOW
  The control variable can not be set at this moment.

MPI_T_ERR_CVAR_SET_NEVER
  The control variable can not be set until end of execution.